Bug 514016 (CVE-2009-1722) - CVE-2009-1722 OpenEXR: Integer overflow in decompression of range of values in the pixel data
Summary: CVE-2009-1722 OpenEXR: Integer overflow in decompression of range of values i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1722
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://openexr.com/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-27 16:37 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-03 06:25:57 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2009-07-27 16:37:33 UTC
An integer overflow flaw, leading to heap-based buffer overflow was found
in the OpenEXR's routine, decompressing range of values in the pixel data.
A remote attacker provide a specially-crafted image file, which once 
opened, by a local, unsuspecting user, would lead to denial of service
("exrmakepreview crash") or potentially, arbitrary code execution with
the privileges of user opening the image.

References:
-----------
http://openexr.com/

Part "Announcements"

October 22, 2007 - New versions of OpenEXR and CTL are now available. This release fixes a buffer overrun in OpenEXR and a Windows build problem in CTL, and it removes a few unnecessary files from the .tar.gz packages.

Comment 1 Jan Lieskovsky 2009-07-27 16:39:15 UTC
This issue does NOT affect the versions of the OpenEXR package, as shipped
with Fedora releases of 10 and 11.

This issue affects the versions of the OpenEXR package, as shipped
with the Extra Packages for Enterprise Linux 4 (EPEL4) and Extra
Packages for Enterprise Linux 5 (EPEL5) projects.

Comment 3 Jan Lieskovsky 2009-07-28 13:34:24 UTC
Public now via:

    http://seclists.org/fulldisclosure/2009/Jul/0444.html

Comment 5 Fedora Update System 2009-07-30 19:35:46 UTC
OpenEXR-1.4.0a-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/OpenEXR-1.4.0a-5.el5

Comment 6 Fedora Update System 2009-07-30 19:37:26 UTC
OpenEXR-1.4.0a-5.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/OpenEXR-1.4.0a-5.el4

Comment 7 Fedora Update System 2009-07-31 21:27:56 UTC
OpenEXR-1.4.0a-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-07-31 21:28:25 UTC
OpenEXR-1.4.0a-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.